import { type Theme } from '@mui/material';

export const getLabelColor = (
  theme: Theme,
  disabled?: boolean,
  error?: boolean,
) => {
  if (disabled) {
    return theme.palette.new?.text.neutral.disabled;
  }
  if (error) {
    return theme.palette.new?.text.feedback.error;
  }
  return theme.palette.new?.text.neutral.default;
};

export const getDescriptionColor = (theme: Theme, disabled?: boolean) => {
  if (disabled) {
    return theme.palette.new?.text.neutral.disabled;
  }
  return theme.palette.new?.text.neutral.lighter;
};
